/* Prototypes for MED - music editor, by Teijo Kinnunen 1990 */
/* med.c: */
void VapautaSoittimet(void);
void SammutaAanet(UWORD);
void FreeBlock(UWORD);
BOOL AllocBlock(UWORD,UBYTE,UWORD);
void FreeAllBlocks(void);
BOOL ChangeBlockSize(UWORD,UWORD,UWORD);

/* med-newscr.a */
void __asm PaivitaNaytto(register __d0 BOOL);
void __asm Korosta(register __a0 struct Gadget *,register __d0 BOOL);
void __asm Toggle(register __a0 struct Gadget *);
void __stdargs SeurSoitin(void);
void __stdargs EdSoitin(void);
void __stdargs NaytaKursori(void);

/* med-player.a */
void __asm AddMIDIData(register __a0 char *,register __d0 ULONG);
void __asm SetTempo(register __d0 UWORD);
long __asm AudioInit(void);
void __asm AudioRem(void);
void __asm FreeSerial(void);
BOOL __asm GetSerial(void);
void __asm ChannelOff(register __d0 UBYTE);
void __asm ResetMIDI(void);

/* med-newmsgh.c */
BOOL KasitteleViesti(void);
void OsionValinta(struct Gadget *);
void MIDIon(void);

/* med-tied.c */
void DeleteSamplesNotUsed(void);
void ConvertTo200(UBYTE *,UBYTE *,BOOL);
BOOL NewInstrument(ULONG,UBYTE);
char *LoadInstrument(char *,BOOL);
char *LoadSong(char *);
BOOL diskerr(char *);
void StripPaths(void);
void clrxtoy(UBYTE,UBYTE);
char *DoSave(void);
char *DelFile(void);

/* med-scr.c */
BOOL AlustaKappale(BOOL);
void __stdargs PaivitaSoittimennimi(void);
void __stdargs TulostaSoittoLohkot(void);
void Ilmoita(char *);
void __stdargs TulostaLohkoJaSoitin(void);
void AsetaSuodatin(void);
void NollaaVarit(void);
void DispVolGadget(void);
void DispPresetGadget(void);
BOOL NewBlockHere(UWORD,UWORD,UWORD);
void DelBlockHere(UWORD);
void DispInfoGadgets(void);
void ShowTempo(void);
void __stdargs SpecialUpdate(void);
void ChgTempo(UWORD);
void DrawColorGadgets(BYTE);
void GetUndoColors(void);
void ColorHandler(UWORD);
void RemoveInstrument(void);
void GetRepeat(void);
void GetRepLen(void);
void InsertSeq(UBYTE);
void DelSeq(void);
void PlayTransp(BYTE);
void Transpose(BYTE,UBYTE);
void ClrFileName(void);
void RetFileName(void);
void RemCopperList(void);
void RemEqualizer(void);
void InitEqualizer(void);
void UpdateJumpGadgets(void);
void StartLoad(void);
void StopLoad(void);
void prtnum(UWORD,UWORD,UWORD,UBYTE);
void MoveCursor(BYTE,UWORD);
void SampleLoaded(void);
void DspFreeMem(void);
BOOL HandleMBs(void);
void F6_10(UWORD,UWORD);
void DispVolAndSldType(void);

/* med-files.c */
char *SaveInstruments(void);
char *SaveSong(char *,BOOL,UBYTE);
char *Load200Song(void);
char *Load210Song(void);
BOOL WriteIcon(char *);
BOOL Continue(void);
char *AskName(void);
char *LoadAttachedInstrs(void);
char *SaveRawSample(char *);

/* med-stmod.c */
char *STModLoader(char *);
char *SaveSTSong(char *);
char *SaveSTMod(char *);

/* med-objsav.c */
char *WriteObj(char *,UWORD);
char *WriteC(char *);

/* med-ed.c */
void SoitaNappain(UWORD,BOOL,UWORD);
void PutMNote(UBYTE);
void DispPrgData(void);
void EditHandler(UWORD);
void SetCmd(UWORD,UWORD,UBYTE,UWORD);
void DoSlide(UBYTE);
void PutNote(UWORD,UWORD,UBYTE,UBYTE,UBYTE);
void HLLine(UWORD,UBYTE);
void HighLightLines(UWORD,UWORD);
void ShowLineNum(void);
void HandleLines(UWORD,UWORD);
void LoadKeys(void);

/* med-filereq.c */
void UpdateFReqDsp(void);
void FreeFDatas(void);
void FReqHandler(UWORD);
void InsertSavedFile(char *);
BPTR Open2(char *,long);
BOOL IsHere(char *);
void RemFilename(char *);

/* med-pathlist.c */
void LoadPathFile(void);
void FreePaths(void);
void DisplayDirName(void);
void DisplayPathList(void);
void LoadSelectedSample(void);
void ScrollSLUp(BYTE);
void ScrollSLDown(BYTE);
void HandleB(UWORD);
void ConstructDirName(char *,char *);
char *LoadSongSamples(void);

/* med-buff.c */
void ShrinkBlock(UWORD);
void ExpandBlock(UWORD);
void HandleMark(UBYTE);
void SetMark(void);
void CutCopyPaste(UBYTE,UBYTE,UWORD,UBYTE,UBYTE,UBYTE);
BOOL AllocBuffer(UBYTE,UWORD);
void FreeBuffer(void);
void SplitBlock(UWORD,UWORD);
void JoinBlocks(UWORD);

/* med-vol.c */
void Handle8(UWORD);
void ShowVols(void);

/* amiga.lib */
void __stdargs SetICR(struct Library *,ULONG);

/* med-vbserv.a */
void InitDisp(void);

/* med-mod.c */
char *SaveMod(char *);
char *LoadMod(void);
struct MMD0song *MakeMMD0song(void);
